// jest.config.js
module.exports = {
    testEnvironment: 'node', // or 'jsdom' for browser-like environment
    testMatch: ['<rootDir>/__tests__/**/*.test.js'],
    moduleFileExtensions: ['js', 'json'],
    collectCoverageFrom: ['<rootDir>/src/**/*.js'],
    coverageReporters: ['lcov', 'text'],
    verbose: true,
    transform: {
        "^.+\\.jsx?$": "babel-jest",
    },
    testEnvironment: "jsdom",
    // Add other Jest configuration options as needed
};
